package me.unurled.sacredrealms.sr.components.treasure;

import java.util.HashMap;
import java.util.Map;
import org.bukkit.Location;
import org.bukkit.inventory.ItemStack;

public class Treasure {

  /** Chest location */
  private Location location;

  /** key = place in chest value = itemstack placed in chest at key place */
  private Map<Integer, ItemStack> items;

  /** Permission to access this chest */
  private String permission;

  public Treasure() {}

  public Treasure(Location location) {
    this.location = location;
    this.items = new HashMap<>();
    this.permission = "";
  }

  public Treasure(Location location, String permission) {
    this.location = location;
    this.items = new HashMap<>();
    this.permission = permission;
  }

  public Treasure(Location location, Map<Integer, ItemStack> items, String permission) {
    this.location = location;
    this.items = items;
    this.permission = permission;
  }

  /**
   * Get the location of the treasure
   *
   * @return the location of the treasure
   */
  public Location getLocation() {
    return location;
  }

  public void setLocation(Location location) {
    this.location = location;
  }

  /**
   * Get the items in the chest
   *
   * @return the items
   */
  public Map<Integer, ItemStack> getItems() {
    return items;
  }

  public void setItems(Map<Integer, ItemStack> items) {
    this.items = items;
  }

  /**
   * Get the permission to open the chest
   *
   * @return the permission
   */
  public String getPermission() {
    return permission;
  }

  public void setPermission(String permission) {
    this.permission = permission;
  }
}
